> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Regular Withdrawal

> Generate a transaction for withdrawing a token from Lulo Regular after cooldown period.



## OpenAPI

````yaml /openapi/lulo.json post /v0/withdraw/{token}/regular/complete
openapi: 3.1.1
info:
  title: Lulo Blinks
  version: 0.0.1
servers:
  - url: https://lulo.dial.to/api
security: []
paths:
  /v0/withdraw/{token}/regular/complete:
    post:
      tags:
        - Withdraw
      summary: Complete Regular Withdrawal
      description: >-
        Generate a transaction for withdrawing a token from Lulo Regular after
        cooldown period.
      operationId: lulo.v0.withdraw.completeRegularWithdrawal
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            description: Token ticker or mint address
            default: USDC
            example: USDC
          x-default: USDC
          example: USDC
        - name: withdrawalId
          in: query
          required: true
          style: deepObject
          explode: true
          schema:
            type: integer
            minimum: 0
            maximum: 9007199254740991
            description: The pending withdrawal ID
            default: 1
            example: 1
          x-default: 1
          example: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                  example: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
                  example: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````